/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-12-04 12:14:32

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
export declare enum PLATFORM {
    BROWSER = 0,
    SERVER = 1
}
export declare enum LOGGER_LEVEL {
    LOG = 0,
    WARN = 1,
    INFO = 2,
    ERROR = 3,
    FATAL = 4,
    TRACE = 5,
    DEBUG = 6
}
export declare enum ILoggerColor {
    Reset = "\u001B[0m",
    Bright = "\u001B[1m",
    Dim = "\u001B[2m",
    Underscore = "\u001B[4m",
    Blink = "\u001B[5m",
    Reverse = "\u001B[7m",
    Hidden = "\u001B[8m",
    FgBlack = "\u001B[30m",
    FgRed = "\u001B[31m",
    FgGreen = "\u001B[32m",
    FgYellow = "\u001B[33m",
    FgBlue = "\u001B[34m",
    FgMagenta = "\u001B[35m",
    FgCyan = "\u001B[36m",
    FgWhite = "\u001B[37m",
    BgBlack = "\u001B[40m",
    BgRed = "\u001B[41m",
    BgGreen = "\u001B[42m",
    BgYellow = "\u001B[43m",
    BgBlue = "\u001B[44m",
    BgMagenta = "\u001B[45m",
    BgCyan = "\u001B[46m",
    BgWhite = "\u001B[47m"
}
export interface ILoggerRecord {
    requestID?: string;
    /**
     * 这条日志的序列id
     */
    id?: number;
    /**
     * 日志的级别
     */
    level?: LOGGER_LEVEL;
    /**
     * 日志的内容，[1,2,3,5,6]
     */
    data?: any[];
    /**
     * 日志的类别
     */
    category?: string;
    /**
     * 信息
     * string
     */
    message?: string;
    /**
     * 日志的创建时间
     */
    createDatetime?: Date;
    /**
     * 日志产生的平台
     */
    platform?: PLATFORM;
}
