/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-12-04 12:16:45

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
import { Db } from "mongodb";
export declare class MongoDB {
    static init(): Promise<void>;
    private static pool;
    private static mongodbList;
    private db;
    constructor(db: string);
    getDB(): Promise<Db>;
    getCollection(collectionName: string): Promise<import("mongodb").Collection<any>>;
    /**
     * 获得序列号
     * @param key 序列号的key
     * @param collectionName 存储序列的集合名称
     * @param defaultValue 如果列不存在则初始值
     * @param stepNumber 每次的递增值高度
     */
    getSequence(key: string, collectionName?: string, defaultValue?: number, stepNumber?: number): Promise<any>;
    close(): Promise<void>;
}
