/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-12-04 12:17:33

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
/// <reference types="node" />
import * as fs from "fs";
export declare class MongoDBGridFS {
    private dbName;
    private bucketName;
    private mdb;
    /**
     *
     * @param dbName
     * @param bucketName like collectionName
     */
    constructor(dbName: string, bucketName: string);
    readFile(filename: string): Promise<Buffer>;
    readFileStream(filename: string): Promise<import("mongodb").GridFSBucketReadStream>;
    /**
     * 获取文件状态信息
     */
    getFileStat(filename: string): Promise<any>;
    /**
     * 通过文件名删除文件
     * @param filename
     */
    removeFile(filename: string): Promise<{}>;
    /**
     * 追加文件的元数据
     * @param filename
     * @param meta
     */
    appendFileMeta(filename: string, metadata: object): Promise<void>;
    outputFile(filename: string, buffer: Buffer): Promise<void>;
    /**
     * 根据文件后缀名自动确定contentType
     * @param filename
     * @param buffer
     */
    writeFile(filename: string, buffer: Buffer, metadata?: object): Promise<{}>;
    writeFileStream(filename: string, readStream: fs.ReadStream): Promise<{}>;
    close(): void;
    private getDB;
}
