/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-12-04 12:17:53

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
/// <reference types="node" />
export declare const ERROR_READ_BUFFER_FAIL: {
    message: string;
    code: number;
};
export declare const ERROR_MAX_BODY_SIZE_LIMIT: {
    message: string;
    code: number;
};
export declare class LarkBuffer {
    static getBufferByStream(stream: any, maxBodySize?: number): Promise<Buffer>;
    /**
     * 通过stream获取其buffer
     * @param maxBodySize 是否控制最大大小，如果超过最大大小。触发异常中断读取
     * 是否增加超时机制
     * @deprecated use getBufferByStream
     */
    static readBufferByStream(stream: any, maxBodySize?: number): Promise<Buffer>;
    static GZIP(buffer: any): Buffer;
    static UNGZIP(buffer: Buffer): Buffer;
}
