/*! *****************************************************************************
Copyright (c) JDJR Corporation. All rights reserved.
Licensed under the Apache License, Version 2.0 (the "License"); you may not use
this file except in compliance with the License. You may obtain a copy of the
License at http://www.apache.org/licenses/LICENSE-2.0
Author: kemao 2018-12-04 12:18:15

THIS CODE IS PROVIDED ON AN *AS IS* BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
KIND, EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION ANY IMPLIED
WARRANTIES OR CONDITIONS OF TITLE, FITNESS FOR A PARTICULAR PURPOSE,
MERCHANTABLITY OR NON-INFRINGEMENT.

See the Apache Version 2.0 License for specific language governing permissions
and limitations under the License.
***************************************************************************** */
/// <reference types="node" />
import { ReadStream } from "fs";
export declare class LarkHash {
    /**
     * 获取buffer的sha1的路径
     * @param buffer
     */
    static getBufferSHA1Path(buffer: string | Buffer | NodeJS.TypedArray | DataView): string;
    /**
     * 获取buffer的sha1
     * @param buffer
     */
    static getBufferSHA1(buffer: string | Buffer | NodeJS.TypedArray | DataView): string;
    static getBufferMD5(buffer: string | Buffer | NodeJS.TypedArray | DataView): string;
    /**
     * 获取流数据的sha1
     * @param stream
     */
    static getStreamSHA1Path(stream: ReadStream): Promise<string>;
    /**
     * 获取流数据的Sha1格式
     * @param stream
     */
    static getStreamSHA1(stream: ReadStream): Promise<string>;
    /**
     * 获得SHA1的路径格式
     * @param sha1
     */
    static getSHA1Path(sha1: string): string;
}
